VAT Invoices
Sync Misa Invoice
Sync a single VAT invoice from MISA meInvoice V3 API by lookup code.
POST
/
api
/
v1
/
vat-invoices
/
misa-sync
Sync Misa Invoice
curl --request POST \
--url https://vinmake-erp.onrender.com/api/v1/vat-invoices/misa-sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lookupCode": "<string>",
"direction": "output"
}
'import requests
url = "https://vinmake-erp.onrender.com/api/v1/vat-invoices/misa-sync"
payload = {
"lookupCode": "<string>",
"direction": "output"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lookupCode: '<string>', direction: 'output'})
};
fetch('https://vinmake-erp.onrender.com/api/v1/vat-invoices/misa-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"direction": "<string>",
"formNo": "<string>",
"serial": "<string>",
"invoiceNumber": "<string>",
"taxAuthorityCode": "<string>",
"issueDate": "<string>",
"sellerName": "<string>",
"sellerTaxCode": "<string>",
"buyerName": "<string>",
"buyerTaxCode": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"supplierId": "<string>",
"supplierName": "<string>",
"invoiceId": "<string>",
"billId": "<string>",
"currency": "<string>",
"exchangeRate": 123,
"subtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"totalAmount": 123,
"adjustmentType": "<string>",
"replacesVatInvoiceId": "<string>",
"status": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"createdById": "<string>",
"lineItems": [
{
"id": "<string>",
"vatInvoiceId": "<string>",
"lineNo": 123,
"description": "<string>",
"qty": 123,
"uom": "<string>",
"unitPrice": 123,
"lineSubtotal": 123,
"vatRate": 123,
"vatAmount": 123,
"lineTotal": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Sync Misa Invoice
